summaryrefslogtreecommitdiffstats
path: root/source/a/jfsutils/jfsutils.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/jfsutils/jfsutils.SlackBuild')
-rwxr-xr-xsource/a/jfsutils/jfsutils.SlackBuild31
1 files changed, 21 insertions, 10 deletions
diff --git a/source/a/jfsutils/jfsutils.SlackBuild b/source/a/jfsutils/jfsutils.SlackBuild
index 1795e9703..1c9496d8a 100755
--- a/source/a/jfsutils/jfsutils.SlackBuild
+++ b/source/a/jfsutils/jfsutils.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,27 +20,35 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=jfsutils
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-jfsutils
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
@@ -52,7 +60,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf jfsutils-$VERSION
tar xvf $CWD/jfsutils-$VERSION.tar.?z* || exit 1
-cd jfsutils-$VERSION
+cd jfsutils-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -60,13 +68,16 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix build with recent glibc:
+sed "s@<unistd.h>@&\n#include <sys/types.h>@g" -i fscklog/extract.c
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--disable-dependency-tracking \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
-make
+make || exit 1
mkdir -p $PKG/sbin
cat fsck/jfs_fsck > $PKG/sbin/jfs_fsck